"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _scheduler = require("scheduler");

var _warning = _interopRequireDefault(require("warning"));

var NO_CONTEXT = true;

var NOOP = function NOOP() {};

var _default = {
  schedulePassiveEffects: _scheduler.unstable_scheduleCallback,
  cancelPassiveEffects: _scheduler.unstable_cancelCallback,
  now: Date.now,
  prepareForCommit: NOOP,
  resetAfterCommit: NOOP,
  getRootHostContext: function getRootHostContext() {
    return NO_CONTEXT;
  },
  getChildHostContext: function getChildHostContext() {
    return NO_CONTEXT;
  },
  shouldSetTextContent: function shouldSetTextContent(type, props) {
    return typeof props.children === 'string' || typeof props.children === 'number';
  },
  createInstance: function createInstance() {
    var instance;
    return instance;
  },
  createTextInstance: function createTextInstance(text) {
    return text;
  },
  resetTextContent: NOOP,
  getPublicInstance: function getPublicInstance(instance) {
    return instance;
  },
  appendChildToContainer: function appendChildToContainer(parentInstance, child) {
    if (typeof child === 'string') {
      (0, _warning.default)(false, 'React Vertex does not support text nodes.');
      return;
    }

    parentInstance.add(child);
  },
  removeChildFromContainer: function removeChildFromContainer(parentInstance, child) {
    parentInstance.remove(child);
  },
  appendInitialChild: function appendInitialChild(parentInstance, child) {
    if (typeof child === 'string') {
      (0, _warning.default)(false, 'React Vertex does not support text nodes.');
      return;
    }

    parentInstance.add(child);
  },
  appendChild: function appendChild(parentInstance, child) {
    if (typeof child === 'string') {
      (0, _warning.default)(false, 'React Vertex does not support text nodes.');
      return;
    }

    parentInstance.add(child);
  },
  removeChild: function removeChild(parentInstance, child) {
    parentInstance.remove(child);
  },
  insertBefore: NOOP,
  insertInContainerBefore: NOOP,
  finalizeInitialChildren: NOOP,
  supportsMutation: true,
  prepareUpdate: function prepareUpdate() {
    return true;
  },
  commitUpdate: function commitUpdate(instance, payload, type, oldProps, newProps) {
    instance.applyProps(newProps, oldProps);
  }
};
exports.default = _default;